Page MenuHomePhabricator

[clang-tidy] adjust scripts to subsubsections in Release Notes
ClosedPublic

Authored by Eugene.Zelenko on Jan 10 2020, 11:29 AM.

Details

Summary

I added subsubsections for typical Clang-tidy entries in Release Notes, so now scripts are aware of this changes.

I don't have GitHub commit access, so please commit changes.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptJan 10 2020, 11:29 AM
Herald added a subscriber: xazax.hun. · View Herald Transcript

LG with a nit, if this works.

clang-tools-extra/clang-tidy/add_new_check.py
223

"New check aliases" would be less ambiguous.

Renamed "New aliases" to "New check aliases".

Eugene.Zelenko marked an inline comment as done.Jan 13 2020, 10:13 AM

Both scripts works fine. However rename script should also sort entries alphabetically, but probably this should be separate patch.

Both scripts works fine. However rename script should also sort entries alphabetically, but probably this should be separate patch.

Yep, sorting of the list on rename is a separate issue.
The patch LGTM.

alexfh accepted this revision.Jan 27 2020, 4:46 PM

Just ping.

Are you waiting for other reviewers or for me to "Accept Revision"? If the latter, "stamped", but I've already said that the patch LGTM.

This revision is now accepted and ready to land.Jan 27 2020, 4:46 PM

As I wrote, I don't have GitHub commit access, so I need help with commit.

As I wrote, I don't have GitHub commit access, so I need help with commit.

Needs rebasing on trunk, ReleaseNotes.rst is causing conflicts

As I wrote, I don't have GitHub commit access, so I need help with commit.

Sorry, missed that part of the patch description. As per Nathan's comment, please rebase the patch.

Rebase from master.

This revision was automatically updated to reflect the committed changes.

Rebase from master.

Committed, I still not 100% sure on landing on behalf of someone else so I think it hasn't credited you unfortunately, arc should have better docs...